Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CalendarSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Calendar. More...

`#include <xfc/gtk/calendarsignals.hh>`

Inheritance diagram for Xfc::Gtk::CalendarSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_month_changed ()
    Called when the user clicks a button to change the selected month on a calendar.
- virtual void on_day_selected ()
    Called when the user selects a day.
- virtual void on_day_selected_double_click ()
    Called when the user double clicks a button to select a day.
- virtual void on_prev_month ()
    Called when the user selects the previous month.
- virtual void on_next_month ()
    Called when the user selects the next month.
- virtual void on_prev_year ()
    Called when the user selects the previous year.
- virtual void on_next_year ()
    Called when the user selects the next year.

## Protected Member Functions

Constructors

- CalendarSignals (Calendar *calendar)
    Construct a new CalendarSignals object.
- virtual ~CalendarSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Calendar.

## Constructor & Destructor Documentation

Xfc::Gtk::CalendarSignals::CalendarSignals | ( | Calendar * | calendar | ) | `[protected]`

Construct a new CalendarSignals object.

Parameters:

  | calendar | A Calendar object inheriting the CalendarSignals implementation.

The documentation for this class was generated from the following file:

- calendarsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3